TypeInfoUtil.DllEntry (JNA API)

com.sun.jna.platform.win32.COM

## Class TypeInfoUtil.DllEntry

- java.lang.Object
- - com.sun.jna.platform.win32.COM.TypeInfoUtil.DllEntry

- Enclosing class:
    TypeInfoUtil

      public static class TypeInfoUtil.DllEntry
      extends java.lang.Object

  The Class DllEntry.
  Author:
    wolf.tobias@gmx.net The Class DllEntry.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DllEntry(java.lang.String dllName, java.lang.String name, int ordinal)` Instantiates a new dll entry.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDllName()` Gets the dll name.
    `java.lang.String` | `getName()` Gets the name.
    `int` | `getOrdinal()` Gets the ordinal.
    `void` | `setDllName(java.lang.String dllName)` Sets the dll name.
    `void` | `setName(java.lang.String name)` Sets the name.
    `void` | `setOrdinal(int ordinal)` Sets the ordinal.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DllEntry

          public DllEntry(java.lang.String dllName,
                          java.lang.String name,
                          int ordinal)

      Instantiates a new dll entry.
      Parameters:
        `dllName` - the dll name
        `name` - the name
        `ordinal` - the ordinal

  - ### Method Detail

    - #### getDllName

          public java.lang.String getDllName()

      Gets the dll name.
      Returns:
        the dll name

    - #### setDllName

          public void setDllName(java.lang.String dllName)

      Sets the dll name.
      Parameters:
        `dllName` - the new dll name

    - #### getName

          public java.lang.String getName()

      Gets the name.
      Returns:
        the name

    - #### setName

          public void setName(java.lang.String name)

      Sets the name.
      Parameters:
        `name` - the new name

    - #### getOrdinal

          public int getOrdinal()

      Gets the ordinal.
      Returns:
        the ordinal

    - #### setOrdinal

          public void setOrdinal(int ordinal)

      Sets the ordinal.
      Parameters:
        `ordinal` - the new ordinal

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.